## Apache Zeta Components Manual :: Docs For Class ezcTemplateException

### Template::ezcTemplateException

### Class ezcTemplateException

ezcTemplateExceptions are thrown when an exceptional state occurs in the Template package.

Source for this file: /Template/src/exceptions/template_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcTemplateException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcTemplateFileFailedRenameException | Exception for problems when renaming template files.
ezcTemplateInternalException | ezcTemplateInternalException is thrown when the Template engine comes into an unstable state.
ezcTemplateCustomBlockException | ezcTemplateCustomBlock exception is thrown when an error occurs while processing a Custom Block.
ezcTemplateFileNotFoundException | Exception for problems when accessing template files which does not exists.
ezcTemplateNoOutputContextException | Exception for for missing output contexts in classes.
ezcTemplateFileNotWriteableException | Exception for problems when writing to template files.
ezcTemplateParserException | Exception for failed element parsers.
ezcTemplateCompilationFailedException | ezcTemplateCompilationFailedException is thrown when a template could not be compiled.
ezcTemplateFileNotReadableException | Exception for problems when reading from template files.
ezcTemplateSourceToTstParserException | Exception for failed element parsers.
ezcTemplateTypeHintException | Exception for problems in parser element code.
ezcTemplateFileFailedUnlinkException | Exception for problems when unlinking template files.
ezcTemplateInvalidCompiledFileException | Exception for missing invalid compiled files.
ezcTemplateRuntimeException | ezcTemplateRuntimeException is thrown when an error occurs while executing a template. For example when a {use} variable without a default value is not given.
ezcTemplateNoManagerException | Exception for for missing managers in classes.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcTemplateException | `__construct( $message )` Constructs a new ezcTemplateException with error message $message.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcTemplateException __construct( string $message )

Constructs a new ezcTemplateException with error message $message.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$message` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

##### Redefined in descendants as:

Method | Description
--- | ---
`ezcTemplateFileFailedRenameException::__construct()` | Initialises the exception with the original template file path and the new file path.
`ezcTemplateInternalException::__construct()` | Creates a template internal exception.
`ezcTemplateCustomBlockException::__construct()` | Initialises the CustomBlock exception with the given message.
`ezcTemplateFileNotFoundException::__construct()` | Initialises the exception with the template file path.
`ezcTemplateNoOutputContextException::__construct()` | Initialises the exception with the location object $location which contains the locator which is missing.
`ezcTemplateFileNotWriteableException::__construct()` | Constructor
`ezcTemplateParserException::__construct()` | Initialises the exception with the failing elements, parser, source code and error messages.
`ezcTemplateCompilationFailedException::__construct()` | Creates a exception for failed compilations, error message is specified by caller.
`ezcTemplateFileNotReadableException::__construct()` | Initialises the exception with the template file path.
`ezcTemplateSourceToTstParserException::__construct()` | Initialises the exception with the failing elements, parser, source code and error messages.
`ezcTemplateTypeHintException::__construct()` | This exception should be caught, and rethrown. The message is not important.
`ezcTemplateFileFailedUnlinkException::__construct()` | Initialises the exception with the template file path.
`ezcTemplateInvalidCompiledFileException::__construct()` | Initialises the exception with the location object $location which contains the locator which is missing.
`ezcTemplateRuntimeException::__construct()` | Constructs a template runtime exception with message $msg.
`ezcTemplateNoManagerException::__construct()` | Initialises the exception with the location object $location which contains the locator which is missing.

Documentation generated by phpDocumentor 1.4.3